Sealio Docs
Clients

Archive a client

Archive a client. Reference for POST /v1/clients/{id}/archive in the Sealio API: parameters and response fields.

POST/clients/{id}/archive

Authorization

apiKey
AuthorizationBearer <token>

sk_live_ca_… or sk_live_in_…, created in Settings → API keys.

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Retries with the same key within 24 hours return the first response.

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/clients/string/archive"
{  "id": "string",  "object": "client",  "kind": "individual",  "display_name": "string",  "email": "string",  "phone": "string",  "preferred_language": "en",  "date_of_birth": "2019-08-24",  "legal_name": "string",  "business_number": "string",  "address": {    "line1": "string",    "line2": "string",    "city": "string",    "region": "string",    "postal_code": "string",    "country": "string"  },  "contacts": [    {      "id": "string",      "name": "string",      "email": "string",      "phone": "string",      "is_primary": true    }  ],  "custom_fields": {},  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}